Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.algorithm
Class AbstractConcurrentReadCache.HashIterator

    java.lang.Object
      com.opensymphony.oscache.base.algorithm.AbstractConcurrentReadCache.HashIterator

All Implemented Interfaces:
  java.util.Enumeration, java.util.Iterator

Direct Known Subclasses:
  AbstractConcurrentReadCache.KeyIterator, AbstractConcurrentReadCache.ValueIterator

Enclosing class:
  AbstractConcurrentReadCache

protected class AbstractConcurrentReadCache.HashIterator
extends java.lang.Object
implements java.util.Iterator, java.util.Enumeration

Field Summary
`protected java.lang.Object` | `currentKey`
`protected java.lang.Object` | `currentValue`
`protected AbstractConcurrentReadCache.Entry` | `entry`
`protected int` | `index`
`protected AbstractConcurrentReadCache.Entry` | `lastReturned`
`protected AbstractConcurrentReadCache.Entry[]` | `tab`

Constructor Summary
`protected` | `AbstractConcurrentReadCache.HashIterator()`

Method Summary
`boolean` | `hasMoreElements()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`java.lang.Object` | `nextElement()`
`void` | `remove()`
`protected java.lang.Object` | `returnValueOfNext()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tab

    protected final AbstractConcurrentReadCache.Entry[] tab

### entry

    protected AbstractConcurrentReadCache.Entry entry

### lastReturned

    protected AbstractConcurrentReadCache.Entry lastReturned

### currentKey

    protected java.lang.Object currentKey

### currentValue

    protected java.lang.Object currentValue

### index

    protected int index

Constructor Detail

### AbstractConcurrentReadCache.HashIterator

    protected AbstractConcurrentReadCache.HashIterator()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### returnValueOfNext

    protected java.lang.Object returnValueOfNext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD